# Class FitsHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.StreamingHandler
uk.ac.starlink.ttools.votlint.FitsHandler

All Implemented Interfaces:
  `uk.ac.starlink.table.TableSink`

public class FitsHandler extends StreamingHandler implements uk.ac.starlink.table.TableSink
Element handler for FITS elements. The main job this does is to read the FITS file and check that the columns in it match the columns declared in the VOTable FIELD elements. The messages it issues are warnings rather than errors, since the VOTable standard explicitly says that parsers can treat inconsistencies between FITS and VOTable metadata however they like.

Since:
  12 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`FitsHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptMetadata(uk.ac.starlink.table.StarTable meta)`
`void`
`acceptRow(Object[] row)`
`void`
`endRows()`
`void`
`feed(InputStream in)`
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.

### Methods inherited from class StreamingHandler

`foundRow, getFields, startElement`

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FitsHandler

public FitsHandler()

## Method Details

### feed

public void feed(InputStream in) throws IOException
Description copied from class: `StreamingHandler`
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.

Specified by:
  `feed` in class `StreamingHandler`
Parameters:
  `in` - input stream to read
Throws:
  `IOException`

### acceptMetadata

public void acceptMetadata(uk.ac.starlink.table.StarTable meta)

Specified by:
  `acceptMetadata` in interface `uk.ac.starlink.table.TableSink`

### acceptRow

public void acceptRow(Object[] row)

Specified by:
  `acceptRow` in interface `uk.ac.starlink.table.TableSink`

### endRows

public void endRows()

Specified by:
  `endRows` in interface `uk.ac.starlink.table.TableSink`